package projectzombie.items;

import projectzombie.init.Models;
import projectzombie.items.modifier.ItemModifierMeta;
import projectzombie.model.ModelItem;
import projectzombie.util.ItemStack;

public class ItemRock extends Item
{

	@Override
	public ModelItem getModel(ItemStack stack)
	{
		switch(ItemModifierMeta.getStackMeta(stack)) {
		case 0: return Models.ITEM_ROCK;
		case 1: return Models.ITEM_SNOW_PILE;
		case 2: return Models.ITEM_SANDSTONE;
		case 3: return Models.ITEM_CLAY;
		default: return Models.ITEM_MISSING;
		}
	}
	
	@Override
	public String getName(ItemStack stack)
	{
		switch(ItemModifierMeta.getStackMeta(stack)) {
		case 0: return "Rock";
		case 1: return "Snow";
		case 2: return "Sandstone";
		case 3: return "Clay";
		default: return "Rock";
		}
	}
}
